%global use_x11_tests 1

Name:           perl-Gnome2-Vte
Version:        0.09
Release:        1%{?dist}
Summary:        Gnome2::Vte Perl module
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gnome2-Vte/
Source0:        http://www.cpan.org/modules/by-module/Gnome2/Gnome2-Vte-%{version}.tar.gz
Patch1:         Gnome2-Vte-%{version}-pty-fileno.patch
BuildRequires:  perl(ExtUtils::Depends) >= 0.20
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires:  perl(Glib) >= 1.01
BuildRequires:  perl(Gtk2) >= 1.00
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Test::More)
BuildRequires:  vte-devel
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Gnome2::Vte exposes the GNOME Virtual Terminal Emulator APIs to
Perl applications

%prep
%setup -q -n Gnome2-Vte-%{version}
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xinit /bin/sh -c 'rm -f ok; make test && touch ok' -- /usr/bin/Xvfb :666
    test -e ok
%else
    make test
%endif

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE maps NEWS README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gnome2*
%{_mandir}/man3/*

%changelog
* Tue Dec 13 2011 Daniel Berrange <berrange@redhat.com> 0.09-1
- Specfile autogenerated by cpanspec 1.78.
